import React from 'react';
import { ParticipantModel } from '../../models';
import { ConnectionQuality } from '@zocks-communications/client-sdk-js';
export interface ParticipantProps {
    participant: ParticipantModel;
    withAudio?: boolean;
    extensionElement?: React.FC<ParticipantExtensionProps> | null;
}
export interface ParticipantExtensionProps {
    name: string | null;
    isLocal: boolean;
    connectionQuality: ConnectionQuality;
    isSpeaking: boolean;
    videoIsMuted: boolean;
    audioIsMuted: boolean;
}
